import{s as Se,n as He,o as Me}from"../chunks/scheduler.6062bdaf.js";import{S as Ue,i as je,g as o,s as r,r as l,A as Be,h as i,f as n,c as a,j as _,u as d,x as y,k as v,y as e,a as s,v as c,d as g,t as h,w as f}from"../chunks/index.4bca734e.js";import{D as x}from"../chunks/Docstring.81ba5e3c.js";import{H as xe,E as Ke}from"../chunks/EditOnGithub.74ab2baa.js";function Re($e){let $,$t,yt,bt,V,Dt,O,be=`It is very common to have to generate dummy inputs to perform a task (tracing, exporting a model to some backend,
testing model outputs, etc). The goal of <a href="/docs/optimum/main/en/utils/dummy_input_generators#optimum.utils.DummyInputGenerator">DummyInputGenerator</a> classes is to make this
generation easy and re-usable.`,wt,A,Gt,p,S,Xt,at,De="Generates dummy inputs for the supported input names, in the requested framework.",Yt,T,H,Zt,ot,we="Concatenates inputs together.",te,k,M,ee,it,Ge="Generates a constant tensor.",ne,q,U,re,mt,Ie="Generates the dummy input matching <code>input_name</code> for the requested framework.",ae,z,j,oe,st,Ce="Pads an input either to the desired length, or by a padding length.",ie,L,B,me,pt,Te="Generates a tensor of random floats in the [min_value, max_value) range.",se,N,K,pe,ut,ke="Generates a tensor of random integers in the [min_value, max_value) range.",ue,P,R,le,lt,qe="Generates a mask tensor either right or left padded.",de,E,F,ce,dt,ze="Checks whether the <code>DummyInputGenerator</code> supports the generation of the requested input.",It,J,Ct,b,Q,ge,ct,Le="Generates dummy encoder text inputs.",Tt,D,W,he,gt,Ne="Generates dummy decoder text inputs.",kt,w,X,fe,ht,Pe="Generates dummy past_key_values inputs.",qt,G,Y,_e,ft,Ee="Generates dummy past_key_values inputs for seq2seq architectures.",zt,I,Z,ve,_t,Ve="Generates dummy bbox inputs.",Lt,C,tt,ye,vt,Oe="Generates dummy vision inputs.",Nt,et,nt,Pt,rt,Et,xt,Vt;return V=new xe({props:{title:"Dummy Input Generators",local:"dummy-input-generators",headingTag:"h1"}}),A=new xe({props:{title:"Base class",local:"optimum.utils.DummyInputGenerator",headingTag:"h2"}}),S=new x({props:{name:"class optimum.utils.DummyInputGenerator",anchor:"optimum.utils.DummyInputGenerator",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L113"}}),H=new x({props:{name:"concat_inputs",anchor:"optimum.utils.DummyInputGenerator.concat_inputs",parameters:[{name:"inputs",val:""},{name:"dim",val:": int"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.concat_inputs.dim",description:`<strong>dim</strong> (<code>int</code>) &#x2014;
The dimension along which to concatenate.`,name:"dim"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L309",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The tensor of the concatenation.</p>
`}}),M=new x({props:{name:"constant_tensor",anchor:"optimum.utils.DummyInputGenerator.constant_tensor",parameters:[{name:"shape",val:": typing.List[int]"},{name:"value",val:": typing.Union[int, float] = 1"},{name:"dtype",val:": typing.Optional[typing.Any] = None"},{name:"framework",val:": str = 'pt'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.shape",description:`<strong>shape</strong> (<code>List[int]</code>) &#x2014;
The shape of the constant tensor.`,name:"shape"},{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.value",description:`<strong>value</strong> (<code>Union[int, float]</code>, defaults to 1) &#x2014;
The value to fill the constant tensor with.`,name:"value"},{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.dtype",description:`<strong>dtype</strong> (<code>Optional[Any]</code>, defaults to <code>None</code>) &#x2014;
The dtype of the constant tensor.`,name:"dtype"},{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L268",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A constant tensor in the requested framework.</p>
`}}),U=new x({props:{name:"generate",anchor:"optimum.utils.DummyInputGenerator.generate",parameters:[{name:"input_name",val:": str"},{name:"framework",val:": str = 'pt'"},{name:"int_dtype",val:": str = 'int64'"},{name:"float_dtype",val:": str = 'fp32'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.generate.input_name",description:`<strong>input_name</strong> (<code>str</code>) &#x2014;
The name of the input to generate.`,name:"input_name"},{anchor:"optimum.utils.DummyInputGenerator.generate.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"},{anchor:"optimum.utils.DummyInputGenerator.generate.int_dtype",description:`<strong>int_dtype</strong> (<code>str</code>, defaults to <code>&quot;int64&quot;</code>) &#x2014;
The dtypes of generated integer tensors.`,name:"int_dtype"},{anchor:"optimum.utils.DummyInputGenerator.generate.float_dtype",description:`<strong>float_dtype</strong> (<code>str</code>, defaults to <code>&quot;fp32&quot;</code>) &#x2014;
The dtypes of generated float tensors.`,name:"float_dtype"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L134",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A tensor in the requested framework of the input.</p>
`}}),j=new x({props:{name:"pad_input_on_dim",anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim",parameters:[{name:"input_",val:""},{name:"dim",val:": int"},{name:"desired_length",val:": typing.Optional[int] = None"},{name:"padding_length",val:": typing.Optional[int] = None"},{name:"value",val:": typing.Union[int, float] = 1"},{name:"dtype",val:": typing.Optional[typing.Any] = None"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.dim",description:`<strong>dim</strong> (<code>int</code>) &#x2014;
The dimension along which to pad.`,name:"dim"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.desired_length",description:`<strong>desired_length</strong> (<code>Optional[int]</code>, defaults to <code>None</code>) &#x2014;
The desired length along the dimension after padding.`,name:"desired_length"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.padding_length",description:`<strong>padding_length</strong> (<code>Optional[int]</code>, defaults to <code>None</code>) &#x2014;
The length to pad along the dimension.`,name:"padding_length"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.value",description:`<strong>value</strong> (<code>Union[int, float]</code>, defaults to 1) &#x2014;
The value to use for padding.`,name:"value"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.dtype",description:`<strong>dtype</strong> (<code>Optional[Any]</code>, defaults to <code>None</code>) &#x2014;
The dtype of the padding.`,name:"dtype"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L332",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The padded tensor.</p>
`}}),B=new x({props:{name:"random_float_tensor",anchor:"optimum.utils.DummyInputGenerator.random_float_tensor",parameters:[{name:"shape",val:": typing.List[int]"},{name:"min_value",val:": float = 0"},{name:"max_value",val:": float = 1"},{name:"framework",val:": str = 'pt'"},{name:"dtype",val:": str = 'fp32'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.shape",description:`<strong>shape</strong> (<code>List[int]</code>) &#x2014;
The shape of the random tensor.`,name:"shape"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.min_value",description:`<strong>min_value</strong> (<code>float</code>, defaults to 0) &#x2014;
The minimum value allowed.`,name:"min_value"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.max_value",description:`<strong>max_value</strong> (<code>float</code>, defaults to 1) &#x2014;
The maximum value allowed.`,name:"max_value"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.dtype",description:`<strong>dtype</strong> (<code>str</code>, defaults to <code>&quot;fp32&quot;</code>) &#x2014;
The dtype of the generated float tensor. Could be &#x201C;fp32&#x201D;, &#x201C;fp16&#x201D;, &#x201C;bf16&#x201D;.`,name:"dtype"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L237",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A random tensor in the requested framework.</p>
`}}),K=new x({props:{name:"random_int_tensor",anchor:"optimum.utils.DummyInputGenerator.random_int_tensor",parameters:[{name:"shape",val:": typing.List[int]"},{name:"max_value",val:": int"},{name:"min_value",val:": int = 0"},{name:"framework",val:": str = 'pt'"},{name:"dtype",val:": str = 'int64'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.shape",description:`<strong>shape</strong> (<code>List[int]</code>) &#x2014;
The shape of the random tensor.`,name:"shape"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.max_value",description:`<strong>max_value</strong> (<code>int</code>) &#x2014;
The maximum value allowed.`,name:"max_value"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.min_value",description:`<strong>min_value</strong> (<code>int</code>, defaults to 0) &#x2014;
The minimum value allowed.`,name:"min_value"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.dtype",description:`<strong>dtype</strong> (<code>str</code>, defaults to <code>&quot;int64&quot;</code>) &#x2014;
The dtype of the generated integer tensor. Could be &#x201C;int64&#x201D;, &#x201C;int32&#x201D;, &#x201C;int8&#x201D;.`,name:"dtype"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L154",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A random tensor in the requested framework.</p>
`}}),R=new x({props:{name:"random_mask_tensor",anchor:"optimum.utils.DummyInputGenerator.random_mask_tensor",parameters:[{name:"shape",val:": typing.List[int]"},{name:"padding_side",val:": str = 'right'"},{name:"framework",val:": str = 'pt'"},{name:"dtype",val:": str = 'int64'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.random_mask_tensor.shape",description:`<strong>shape</strong> (<code>List[int]</code>) &#x2014;
The shape of the random tensor.`,name:"shape"},{anchor:"optimum.utils.DummyInputGenerator.random_mask_tensor.padding_side",description:`<strong>padding_side</strong> (<code>str</code>, defaults to &#x201C;right&#x201D;) &#x2014;
The side on which the padding is applied.`,name:"padding_side"},{anchor:"optimum.utils.DummyInputGenerator.random_mask_tensor.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"},{anchor:"optimum.utils.DummyInputGenerator.random_mask_tensor.dtype",description:`<strong>dtype</strong> (<code>str</code>, defaults to <code>&quot;int64&quot;</code>) &#x2014;
The dtype of the generated integer tensor. Could be &#x201C;int64&#x201D;, &#x201C;int32&#x201D;, &#x201C;int8&#x201D;.`,name:"dtype"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L184",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A random mask tensor either left padded or right padded in the requested framework.</p>
`}}),F=new x({props:{name:"supports_input",anchor:"optimum.utils.DummyInputGenerator.supports_input",parameters:[{name:"input_name",val:": str"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.supports_input.input_name",description:`<strong>input_name</strong> (<code>str</code>) &#x2014;
The name of the input to generate.`,name:"input_name"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L120",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A boolean specifying whether the input is supported.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>bool</code></p>
`}}),J=new xe({props:{title:"Existing dummy input generators",local:"optimum.utils.DummyTextInputGenerator",headingTag:"h2"}}),Q=new x({props:{name:"class optimum.utils.DummyTextInputGenerator",anchor:"optimum.utils.DummyTextInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedTextConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"num_choices",val:": int = 4"},{name:"random_batch_size_range",val:": typing.Optional[typing.Tuple[int, int]] = None"},{name:"random_sequence_length_range",val:": typing.Optional[typing.Tuple[int, int]] = None"},{name:"random_num_choices_range",val:": typing.Optional[typing.Tuple[int, int]] = None"},{name:"padding_side",val:": str = 'right'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L378"}}),W=new x({props:{name:"class optimum.utils.DummyDecoderTextInputGenerator",anchor:"optimum.utils.DummyDecoderTextInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedTextConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"num_choices",val:": int = 4"},{name:"random_batch_size_range",val:": typing.Optional[typing.Tuple[int, int]] = None"},{name:"random_sequence_length_range",val:": typing.Optional[typing.Tuple[int, int]] = None"},{name:"random_num_choices_range",val:": typing.Optional[typing.Tuple[int, int]] = None"},{name:"padding_side",val:": str = 'right'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L499"}}),X=new x({props:{name:"class optimum.utils.DummyPastKeyValuesGenerator",anchor:"optimum.utils.DummyPastKeyValuesGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedTextConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"random_batch_size_range",val:": typing.Optional[typing.Tuple[int, int]] = None"},{name:"random_sequence_length_range",val:": typing.Optional[typing.Tuple[int, int]] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L563"}}),Y=new x({props:{name:"class optimum.utils.DummySeq2SeqPastKeyValuesGenerator",anchor:"optimum.utils.DummySeq2SeqPastKeyValuesGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": typing.Union[optimum.utils.normalized_config.NormalizedSeq2SeqConfig, optimum.utils.normalized_config.NormalizedEncoderDecoderConfig]"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"encoder_sequence_length",val:": typing.Optional[int] = None"},{name:"random_batch_size_range",val:": typing.Optional[typing.Tuple[int, int]] = None"},{name:"random_sequence_length_range",val:": typing.Optional[typing.Tuple[int, int]] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L610"}}),Z=new x({props:{name:"class optimum.utils.DummyBboxInputGenerator",anchor:"optimum.utils.DummyBboxInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"random_batch_size_range",val:": typing.Optional[typing.Tuple[int, int]] = None"},{name:"random_sequence_length_range",val:": typing.Optional[typing.Tuple[int, int]] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L698"}}),tt=new x({props:{name:"class optimum.utils.DummyVisionInputGenerator",anchor:"optimum.utils.DummyVisionInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedVisionConfig"},{name:"batch_size",val:": int = 2"},{name:"num_channels",val:": int = 3"},{name:"width",val:": int = 64"},{name:"height",val:": int = 64"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L738"}}),nt=new x({props:{name:"class optimum.utils.DummyAudioInputGenerator",anchor:"optimum.utils.DummyAudioInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedConfig"},{name:"batch_size",val:": int = 2"},{name:"feature_size",val:": int = 80"},{name:"nb_max_frames",val:": int = 3000"},{name:"audio_sequence_length",val:": int = 16000"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L798"}}),rt=new Ke({props:{source:"https://github.com/huggingface/optimum/blob/main/docs/source/utils/dummy_input_generators.mdx"}}),{c(){$=o("meta"),$t=r(),yt=o("p"),bt=r(),l(V.$$.fragment),Dt=r(),O=o("p"),O.innerHTML=be,wt=r(),l(A.$$.fragment),Gt=r(),p=o("div"),l(S.$$.fragment),Xt=r(),at=o("p"),at.textContent=De,Yt=r(),T=o("div"),l(H.$$.fragment),Zt=r(),ot=o("p"),ot.textContent=we,te=r(),k=o("div"),l(M.$$.fragment),ee=r(),it=o("p"),it.textContent=Ge,ne=r(),q=o("div"),l(U.$$.fragment),re=r(),mt=o("p"),mt.innerHTML=Ie,ae=r(),z=o("div"),l(j.$$.fragment),oe=r(),st=o("p"),st.textContent=Ce,ie=r(),L=o("div"),l(B.$$.fragment),me=r(),pt=o("p"),pt.textContent=Te,se=r(),N=o("div"),l(K.$$.fragment),pe=r(),ut=o("p"),ut.textContent=ke,ue=r(),P=o("div"),l(R.$$.fragment),le=r(),lt=o("p"),lt.textContent=qe,de=r(),E=o("div"),l(F.$$.fragment),ce=r(),dt=o("p"),dt.innerHTML=ze,It=r(),l(J.$$.fragment),Ct=r(),b=o("div"),l(Q.$$.fragment),ge=r(),ct=o("p"),ct.textContent=Le,Tt=r(),D=o("div"),l(W.$$.fragment),he=r(),gt=o("p"),gt.textContent=Ne,kt=r(),w=o("div"),l(X.$$.fragment),fe=r(),ht=o("p"),ht.textContent=Pe,qt=r(),G=o("div"),l(Y.$$.fragment),_e=r(),ft=o("p"),ft.textContent=Ee,zt=r(),I=o("div"),l(Z.$$.fragment),ve=r(),_t=o("p"),_t.textContent=Ve,Lt=r(),C=o("div"),l(tt.$$.fragment),ye=r(),vt=o("p"),vt.textContent=Oe,Nt=r(),et=o("div"),l(nt.$$.fragment),Pt=r(),l(rt.$$.fragment),Et=r(),xt=o("p"),this.h()},l(t){const m=Be("svelte-u9bgzb",document.head);$=i(m,"META",{name:!0,content:!0}),m.forEach(n),$t=a(t),yt=i(t,"P",{}),_(yt).forEach(n),bt=a(t),d(V.$$.fragment,t),Dt=a(t),O=i(t,"P",{"data-svelte-h":!0}),y(O)!=="svelte-1hunz8l"&&(O.innerHTML=be),wt=a(t),d(A.$$.fragment,t),Gt=a(t),p=i(t,"DIV",{class:!0});var u=_(p);d(S.$$.fragment,u),Xt=a(u),at=i(u,"P",{"data-svelte-h":!0}),y(at)!=="svelte-157abj3"&&(at.textContent=De),Yt=a(u),T=i(u,"DIV",{class:!0});var Ot=_(T);d(H.$$.fragment,Ot),Zt=a(Ot),ot=i(Ot,"P",{"data-svelte-h":!0}),y(ot)!=="svelte-zzi3wj"&&(ot.textContent=we),Ot.forEach(n),te=a(u),k=i(u,"DIV",{class:!0});var At=_(k);d(M.$$.fragment,At),ee=a(At),it=i(At,"P",{"data-svelte-h":!0}),y(it)!=="svelte-1y5j6bo"&&(it.textContent=Ge),At.forEach(n),ne=a(u),q=i(u,"DIV",{class:!0});var St=_(q);d(U.$$.fragment,St),re=a(St),mt=i(St,"P",{"data-svelte-h":!0}),y(mt)!=="svelte-1t5v7od"&&(mt.innerHTML=Ie),St.forEach(n),ae=a(u),z=i(u,"DIV",{class:!0});var Ht=_(z);d(j.$$.fragment,Ht),oe=a(Ht),st=i(Ht,"P",{"data-svelte-h":!0}),y(st)!=="svelte-4ylykg"&&(st.textContent=Ce),Ht.forEach(n),ie=a(u),L=i(u,"DIV",{class:!0});var Mt=_(L);d(B.$$.fragment,Mt),me=a(Mt),pt=i(Mt,"P",{"data-svelte-h":!0}),y(pt)!=="svelte-1p1x6w2"&&(pt.textContent=Te),Mt.forEach(n),se=a(u),N=i(u,"DIV",{class:!0});var Ut=_(N);d(K.$$.fragment,Ut),pe=a(Ut),ut=i(Ut,"P",{"data-svelte-h":!0}),y(ut)!=="svelte-1xlifly"&&(ut.textContent=ke),Ut.forEach(n),ue=a(u),P=i(u,"DIV",{class:!0});var jt=_(P);d(R.$$.fragment,jt),le=a(jt),lt=i(jt,"P",{"data-svelte-h":!0}),y(lt)!=="svelte-1g8m1fx"&&(lt.textContent=qe),jt.forEach(n),de=a(u),E=i(u,"DIV",{class:!0});var Bt=_(E);d(F.$$.fragment,Bt),ce=a(Bt),dt=i(Bt,"P",{"data-svelte-h":!0}),y(dt)!=="svelte-k00hs6"&&(dt.innerHTML=ze),Bt.forEach(n),u.forEach(n),It=a(t),d(J.$$.fragment,t),Ct=a(t),b=i(t,"DIV",{class:!0});var Kt=_(b);d(Q.$$.fragment,Kt),ge=a(Kt),ct=i(Kt,"P",{"data-svelte-h":!0}),y(ct)!=="svelte-1fjsvlm"&&(ct.textContent=Le),Kt.forEach(n),Tt=a(t),D=i(t,"DIV",{class:!0});var Rt=_(D);d(W.$$.fragment,Rt),he=a(Rt),gt=i(Rt,"P",{"data-svelte-h":!0}),y(gt)!=="svelte-12xi2x2"&&(gt.textContent=Ne),Rt.forEach(n),kt=a(t),w=i(t,"DIV",{class:!0});var Ft=_(w);d(X.$$.fragment,Ft),fe=a(Ft),ht=i(Ft,"P",{"data-svelte-h":!0}),y(ht)!=="svelte-194nuou"&&(ht.textContent=Pe),Ft.forEach(n),qt=a(t),G=i(t,"DIV",{class:!0});var Jt=_(G);d(Y.$$.fragment,Jt),_e=a(Jt),ft=i(Jt,"P",{"data-svelte-h":!0}),y(ft)!=="svelte-1mh0vyd"&&(ft.textContent=Ee),Jt.forEach(n),zt=a(t),I=i(t,"DIV",{class:!0});var Qt=_(I);d(Z.$$.fragment,Qt),ve=a(Qt),_t=i(Qt,"P",{"data-svelte-h":!0}),y(_t)!=="svelte-mrxph6"&&(_t.textContent=Ve),Qt.forEach(n),Lt=a(t),C=i(t,"DIV",{class:!0});var Wt=_(C);d(tt.$$.fragment,Wt),ye=a(Wt),vt=i(Wt,"P",{"data-svelte-h":!0}),y(vt)!=="svelte-oqlyz"&&(vt.textContent=Oe),Wt.forEach(n),Nt=a(t),et=i(t,"DIV",{class:!0});var Ae=_(et);d(nt.$$.fragment,Ae),Ae.forEach(n),Pt=a(t),d(rt.$$.fragment,t),Et=a(t),xt=i(t,"P",{}),_(xt).forEach(n),this.h()},h(){v($,"name","hf:doc:metadata"),v($,"content",Fe),v(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(p,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,m){e(document.head,$),s(t,$t,m),s(t,yt,m),s(t,bt,m),c(V,t,m),s(t,Dt,m),s(t,O,m),s(t,wt,m),c(A,t,m),s(t,Gt,m),s(t,p,m),c(S,p,null),e(p,Xt),e(p,at),e(p,Yt),e(p,T),c(H,T,null),e(T,Zt),e(T,ot),e(p,te),e(p,k),c(M,k,null),e(k,ee),e(k,it),e(p,ne),e(p,q),c(U,q,null),e(q,re),e(q,mt),e(p,ae),e(p,z),c(j,z,null),e(z,oe),e(z,st),e(p,ie),e(p,L),c(B,L,null),e(L,me),e(L,pt),e(p,se),e(p,N),c(K,N,null),e(N,pe),e(N,ut),e(p,ue),e(p,P),c(R,P,null),e(P,le),e(P,lt),e(p,de),e(p,E),c(F,E,null),e(E,ce),e(E,dt),s(t,It,m),c(J,t,m),s(t,Ct,m),s(t,b,m),c(Q,b,null),e(b,ge),e(b,ct),s(t,Tt,m),s(t,D,m),c(W,D,null),e(D,he),e(D,gt),s(t,kt,m),s(t,w,m),c(X,w,null),e(w,fe),e(w,ht),s(t,qt,m),s(t,G,m),c(Y,G,null),e(G,_e),e(G,ft),s(t,zt,m),s(t,I,m),c(Z,I,null),e(I,ve),e(I,_t),s(t,Lt,m),s(t,C,m),c(tt,C,null),e(C,ye),e(C,vt),s(t,Nt,m),s(t,et,m),c(nt,et,null),s(t,Pt,m),c(rt,t,m),s(t,Et,m),s(t,xt,m),Vt=!0},p:He,i(t){Vt||(g(V.$$.fragment,t),g(A.$$.fragment,t),g(S.$$.fragment,t),g(H.$$.fragment,t),g(M.$$.fragment,t),g(U.$$.fragment,t),g(j.$$.fragment,t),g(B.$$.fragment,t),g(K.$$.fragment,t),g(R.$$.fragment,t),g(F.$$.fragment,t),g(J.$$.fragment,t),g(Q.$$.fragment,t),g(W.$$.fragment,t),g(X.$$.fragment,t),g(Y.$$.fragment,t),g(Z.$$.fragment,t),g(tt.$$.fragment,t),g(nt.$$.fragment,t),g(rt.$$.fragment,t),Vt=!0)},o(t){h(V.$$.fragment,t),h(A.$$.fragment,t),h(S.$$.fragment,t),h(H.$$.fragment,t),h(M.$$.fragment,t),h(U.$$.fragment,t),h(j.$$.fragment,t),h(B.$$.fragment,t),h(K.$$.fragment,t),h(R.$$.fragment,t),h(F.$$.fragment,t),h(J.$$.fragment,t),h(Q.$$.fragment,t),h(W.$$.fragment,t),h(X.$$.fragment,t),h(Y.$$.fragment,t),h(Z.$$.fragment,t),h(tt.$$.fragment,t),h(nt.$$.fragment,t),h(rt.$$.fragment,t),Vt=!1},d(t){t&&(n($t),n(yt),n(bt),n(Dt),n(O),n(wt),n(Gt),n(p),n(It),n(Ct),n(b),n(Tt),n(D),n(kt),n(w),n(qt),n(G),n(zt),n(I),n(Lt),n(C),n(Nt),n(et),n(Pt),n(Et),n(xt)),n($),f(V,t),f(A,t),f(S),f(H),f(M),f(U),f(j),f(B),f(K),f(R),f(F),f(J,t),f(Q),f(W),f(X),f(Y),f(Z),f(tt),f(nt),f(rt,t)}}}const Fe='{"title":"Dummy Input Generators","local":"dummy-input-generators","sections":[{"title":"Base class","local":"optimum.utils.DummyInputGenerator","sections":[],"depth":2},{"title":"Existing dummy input generators","local":"optimum.utils.DummyTextInputGenerator","sections":[],"depth":2}],"depth":1}';function Je($e){return Me(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ze extends Ue{constructor($){super(),je(this,$,Je,Re,Se,{})}}export{Ze as component};
